SIP(1)

NAME
sip - generates C++/Python bindings

SYNOPSIS
sip [-h] [-V] [-a file] [-b file] [-B tag] [-c dir] [-d file] [-e] [-g] [-I dir] [-j number] [-k] [-m file] [-o] [-p module] [-P] [-r] [-s suffix] [-t tag] [-w] [-x feature] [-X id:file] [-z file] [@file] [file]

DESCRIPTION
sip takes a set of specification files and generates C++ code, documentation and build files. The format of the needed specification file is similar to a C++ header. sip includes run-time support for the generated code.

OPTIONS

-h  Show summary of options.

-V  Display the sip version number.

-a file
    The name of the QScintilla API file. If not indicated, it will not be generated.

-b file
    The name of the build file. If not indicated, it will not be generated.

-B tag
    Add tag to the list of timeline backstops.

-c dir
    The name of the directory where generated source file will be put. If not indicated, no code will be generated.

-d file
    The name of the documentation file (deprecated). If not indicated, no documentation will be generated.

-e  Enable support for exceptions. Disabled by default.

-g  Always release and reacquire the GIL.

-I dir
    Directory where sip can search for included files.

-j number
    Splits the generated code in number files (1 by default). This flag was added for parallel compilation on SMP machines.

-k  Support keyword arguments in functions and methods.

-m file
    The name of the XML export file. If not indicated, the file will not be generated.

-o  Enable the automatic generation of docstrings. Disabled by default.

-p module
    Give the name of the consolidated module this module should be a component of.

-P  Enable the protected/public hack.

-r  Enable tracing on generated code.

-s suffix
    The suffix used for generated C or C++ files (".c" or ".cpp" if none specified)

-t tag
    The version/platform to generate code for.

-w  Enable warning messages.

-x feature
    Disable a feature.

-X id:file
    Create the extracts for an id in a file.

-z file
    The name of a file containing additional command line flags. This option is deprecated, use @file instead.

@file
    The name of a file containing more command line flags.

file
    The name of the file containing the specification. If you skip it, sip will expect to be fed by stdin.

AUTHOR
This manual page was written by Ricardo Javier Cardenes Medina <rcardenes@debian.org>, Torsten Marek <shlomme@debian.org> and Dmitry Shachnev <mitya57@debian.org>, for the Debian project (but may be used by others).